Name: czech-adaptation
Version: 7.3
Release: 1

%define mydir /usr/lib/czech-adaptation

Copyright: GPL
Group: System Environment/Base
BuildRoot: /var/tmp/czech-adaptation
BuildArch: noarch
Packager: Milan Kerslager <kerslage@linux.cz>
URL: ftp://ftp.spsselib.hiedu.cz/pub/users/Milan.Kerslager/
Summary: Czech adaptation package for Red Hat Linux
Requires: redhat-release = 7.3
PreReq: perl fileutils textutils findutils
Source0: %{name}-Xkbmap
#Source1: %{name}-Xsession
#Source2: %{name}-kpanelrc
#Source3: %{name}-Netscape_Communicator.kdelnk
Source4: %{name}-Xresources
Obsoletes: z-czech-adaptation
Obsoletes: czech-adaptation = 6.2pre

%description
This package modifying Red Hat 7.3 distribution to deal with czech
language. As this is very environment and language specific we do not
expect that you could have benefit from this package (if you are not
Czech ofcourse).

This package contains global configuration files for X Window system
to force ISO-8859-2 font to class XTerm (/etc/X11/Xresources),
activate XKB keyboard with Czech layout (/etc/X11/Xkbmap) and
on other places modifying some configuration files of other programs
via triggers. This affect this packages:

kdebase: /etc/kde/kdm/kdmrc
fvwm2:   /etc/X11/fvwm2/system.fvwm2rc
XFree86: /etc/X11/Xresources
samba:   /etc/samba/smb.conf
squid:   /etc/squid/squid.conf
WindowMaker: /etc/X11/WindowMaker/*

%prep
%install

mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT%{mydir}
echo Czech adaptation package %{version}-%{release} installed > \
     $RPM_BUILD_ROOT/etc/%name
install -m 664 %{S:0} $RPM_BUILD_ROOT%{mydir}/Xkbmap.sample
#install -m 664 %{S:1} $RPM_BUILD_ROOT%{mydir}/Xsession
#install -m 664 %{S:2} $RPM_BUILD_ROOT%{mydir}/kpanelrc
#install -m 664 %{S:3} $RPM_BUILD_ROOT%{mydir}/Netscape_Communicator.kdelnk
install -m 664 %{S:4} $RPM_BUILD_ROOT%{mydir}/Xresources
mkdir -p $RPM_BUILD_ROOT/etc/profile.d

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,755)
%config /etc/%{name}
#%config %attr(0755,root,root) %{mydir}/Xsession
%config %{mydir}/Xkbmap.sample
%config %{mydir}/Xresources
#%config %{mydir}/[^X]*

%triggerin -- kdebase
%define soubor /etc/kde/kdm/kdmrc
if [ -x /usr/bin/perl -a -r %{soubor} ]; then
  [ ! -f %{soubor}.rpmorig ] && cp -af %{soubor}{,.rpmorig}
  perl -pi -e 's/^.*(Language=).*$/$1cs/i' %{soubor}
  echo %{name}: %{soubor} modified for Czech language 1>&2
fi

%triggerun -- kdebase
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define soubor /usr/share/config/kdmrc
if [ -f %{soubor}.rpmorig ]; then
  mv -f %{soubor}{.rpmorig,}
  echo %{name}: %{soubor} restored 1>&2
fi

%triggerin -- fvwm2
%define soubor /etc/X11/fvwm2/system.fvwm2rc
if [ -x /usr/bin/perl -a -r %soubor ]; then
  perl -pi -e 's/\*-\*-\*$/\*-iso8859-2/;' \
           -e 's/\*-\*-\* /\*-iso8859-2 /;' %soubor
  echo %{name}: %soubor modified for ISO-8859-2 1>&2
fi

%triggerun -- fvwm2
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define soubor /etc/X11/fvwm2/system.fvwm2rc
if [ -x /usr/bin/perl -a -r %soubor ]; then
  perl -pi -e 's/\*-iso8859-2$/\*-\*-\*/;' \
           -e 's/\*-iso8859-2 /\*-\*-\* /;' %soubor
  echo %{name}: %soubor restored 1>&2
fi

%triggerin -- WindowMaker
%define adresar /etc/X11/WindowMaker
if [ -x /usr/bin/perl ]; then
  for i in WMGLOBAL WindowMaker; do
    if [ -r %{adresar}/$i ]; then
      perl -pi -e 's/\*-\*-\*";$/\*-iso8859-2";/;' %{adresar}/$i
      echo %{name}: %{adresar}/$i modified for ISO-8859-2 1>&2
    fi
  done
  if [ -r %{adresar}/WMRootMenu ]; then
    perl -pi -e \
      'if (/(xterm|rxvt)/ && / -fn fixed/) {
         s/ -fn fixed//;
       }' %{adresar}/WMRootMenu
    echo %{name}: %{adresar}/WMRootMenu modified for ISO-8859-2 1>&2
  fi
fi

%triggerun -- WindowMaker
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define adresar /etc/X11/WindowMaker
if [ -x /usr/bin/perl ]; then
  for i in WMGLOBAL WindowMaker; do
    if [ -r %{adresar}/$i ]; then
      perl -pi -e 's/\*-iso8859-2";$/\*-\*-\*";/' %{adresar}/$i
      echo %{name}: %{adresar}/$i restored 1>&2
    fi
  done
fi

%triggerin -- XFree86
%define soubor /etc/X11/Xresources
if [ -r %{mydir}/Xresources ]; then
  if [ ! -f %{soubor} ]; then
    touch %{soubor}
  else
    [ ! -f %{soubor}.orig ] && cp -af %{soubor}{,.orig}
  fi
  if ! grep -q 'support for ISO-8859-2 characters' %{soubor}; then
    cat %{mydir}/Xresources >> %{soubor}
    echo %{name}: %{soubor} modified for ISO-8859-2 1>&2
  fi
fi

%triggerun -- XFree86
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define soubor /etc/X11/Xresources
if [ -r %{soubor}.orig ]; then
  mv -f %{soubor}.orig %{soubor}
  echo %{name}: %{soubor} restored 1>&2
fi

%triggerin -- samba
%define soubor /etc/samba/smb.conf
if [ -x /usr/bin/perl -a -r %{soubor} ]; then
  if ! grep -q '^ *character set' %{soubor}; then
    perl -pi -e 's/(^ *\[global\].*$)/$1\ncharacter set = iso8859-2/' \
         %{soubor}
  fi
  if ! grep -q '^ *client code page' %{soubor}; then
    perl -pi -e 's/(^ *\[global\].*$)/$1\nclient code page = 852/' \
         %{soubor}
  fi
  echo %{name}: %{soubor} modified for ISO8859-2 1>&2
fi

%triggerun -- samba
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define soubor /etc/samba/smb.conf
if [ -x /usr/bin/perl -a -r %{soubor} ]; then
  perl -pi -e 's/^ *character set = iso8859-2.*//s;' \
           -e 's/^ *client code page = 852.*//s;' %{soubor}
  echo %{name}: %{soubor} restored 1>&2
fi

%triggerin -- squid
%define soubor /etc/squid/squid.conf
if [ -x /usr/bin/perl -a -r %{soubor} -a \
     -d /usr/lib/squid/errors/Czech ]; then
  if ! grep -q '^ *error_directory /usr/lib/squid/errors/Czech' %{soubor}; then
    perl -pi -e 's/(^#error_directory.*$)/$1\nerror_directory \/usr\/lib\/squid\/errors\/Czech/' %{soubor}
  fi
  echo %{name}: %{soubor} modified for Czech error messages 1>&2
fi

%changelog
* Mon May 20 2002 Milan Kerslager <kerslage@linux.cz>
- a lot of (no longer needed) stuff removed

* Sun May 13 2001 Milan Kerslager <kerslage@linux.cz>
- kvt no longer exists
- gnome-terminal no more need font hack
- twin mv in /etc/rc/d/rc.local fixed
- rebuild for 7.1

* Sun Dec 12 2000 Milan Kerslager <kerslage@linux.cz>
- injecting the correct czech kemap to the XF86Config after first boot
  (we have a broken cs keymap and the Anaconda give it to us)

* Sun Dec  3 2000 Milan Kerslager <kerslage@linux.cz>
- rebuild for 7.0 CZ
- Xkbmap moved to /etc/X11 (by Red Hat, Inc.)
- Xsession removed (fix in original package)

* Wed Apr 12 2000 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- small typos fixed

* Sun Apr  9 2000 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- fixed bug for /etc/skel/.kderc and /usr/share/config/kdmrc

* Sun Apr  9 2000 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- a lot of fixes for 6.2
- kpanelrc from 6.2

* Thu Mar 30 2000 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- console fix

* Wed Mar 15 2000 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- ported to release pre-6.2
- XTerm's font stuff moved to X resources
- trying to modify as few files as possible

* Sun Oct  3 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- ported to release 6.1 (Cartman)

* Thu Sep 30 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- kvt again in kdebase 

* Sat Sep  4 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- sssssh... a lot of bugs fixed (files are in %{mydir} !!!)
- gnome-core triggrer added
- a lot of stuff added

* Sat Aug 21 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- Squid trigger

* Sun Jul 26 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- changed spec file

* Thu Jul 22 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- added rxvt to KDE panel (kvt originally)

* Thu Jul 22 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- Gnome trigger

* Thu Jul 15 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- few changes in spec file

* Wed Jul 14 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- new Netscape has .ad file
- reporting after action
- Samba trigger

* Fri Jun 18 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- updated /etc/X11/xdm/Xsession to new version XFree-86

* Mon Jun  7 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- name changed to czech-adaptation (due triggers we no longer need
  so strange name z-czech-adaptation)
- Xsession modification added
- Xkbmap file added for xinitrc and Xsession
- fvwm's xterm with -fn ...
- version 2, 3 and 4

* Sun Jun  6 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- initial triggered version
- packages: netscape, lynx, kdm (KDE)
